Bug 134270 - AutoFilter select out of dialog, looks worse in 7.1+
Summary: AutoFilter select out of dialog, looks worse in 7.1+
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2020-06-23 17:34 UTC by Timur
Modified: 2021-09-29 12:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (42.42 KB, image/png)
2020-06-23 17:34 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-06-23 17:34:39 UTC
Created attachment 162357 [details]
Screenshot

AutoFilter looks worse in 7.1+ compared to 6.4.
Select items is half-way out of dialog.
And why this change?
Comment 1 Telesto 2020-06-23 18:12:14 UTC
Version: 7.1.0.0.alpha0+ (x64)
Build ID: aadcd6f90916bd2b9734ae793141d0c77cc5b46c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 2 Attila Baraksó (NISZ) 2020-06-26 06:04:25 UTC
Bibisected using bibisect-win64-7.1 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=f51ea6c297d17299c93e0560a9b4f90ebc2446d4
author: Caolán McNamara <caolanm@redhat.com>
committer: Caolán McNamara <caolanm@redhat.com>
summary: tdf#134038 use mnCheckWidthReq to avoid text width calculation

Adding CC: Caolán McNamara
Comment 3 Caolán McNamara 2020-06-26 09:12:38 UTC
well, its a bug, a side-effect of trying a specific mode which is faster to insert entries into the treeview which is an issue for larger autofilters
Comment 4 Commit Notification 2020-06-30 18:55:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/714b2b617e9baef02510c482c6fd028e6e72acd8

tdf#134270 rearrange so we know the final treeview width

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2020-06-30 18:57:43 UTC
that seems to fix the mangled checkbox positioning and failure to fill the entire row
Comment 6 Attila Baraksó (NISZ) 2020-07-04 06:07:52 UTC
Verified in:

Version: 7.1.0.0.alpha0+
Build ID: 52ccf06081d7aea3aefb7c582862987ec5380a45
CPU threads: 6; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: hu-HU (hu_HU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF-dbg, Branch:master, Time: 2020-07-02_13:24:12
Calc: threaded

@Caolán: Thanks for fixing this issue!